# Sinara 4624 AWG Phaser (Upconverter/Baseband)

[Wiki](https://github.com/sinara-hw/Phaser/wiki)

## JSON

```json
{
   "type": "phaser",
   "hw_rev": "vX.Y", // optional
   "ports": [<port num>]
}
```

## Testing

After running `artiq_sinara_test`:

```text
*** Testing Phaser DACs and 6 USER LEDs.
Frequencies:
phaser0 10+0 10+1 10+2 10+3 10+4 MHz
```

### Upconverter

1. Install gqrx `nix-shell -p gqrx`
2. Connect HackRF One via USB cable only
3. Run gqrx and choose `HackRF HackRF One...`
4. Default settings
5. Lower the gain in `Input options`
6. When gqrx loaded, start DSP processing with frequency near 2.875 GHz +- DUC frequencies from `artiq_sinara_test`
   in `Receiver Options`
7. Connect the probe through attenuator to the Phaser's RF ports
8. You should see 5 tones on `artiq_sinara_test`'s frequencies, like on the pictures below for RF0 and RF1 respectively:
   ![](../img/phaser_upconverter_gqrx_rf0.png)
   ![](../img/phaser_upconverter_gqrx_rf1.png)


### Baseband

1. Connect the probe through attenuator to the Phaser's ports RF0 or RF1 (not the ADC)
2. Find FTT (Fourier Transform) function in the oscilloscope
3. Start processing with frequency near DUC frequencies from `artiq_sinara_test`
4. You should see 5 tones on `artiq_sinara_test`'s frequencies
